Skip to main content
Monitoring & Collection/Grafana Integration
GETGrafanaSince 1.0SynchronousAuth Required

ListGrafanaDatasources

List all Grafana datasources for a tenant

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Query Parameters

Request Inputs

Query Parameters

  • tenantIdString

    Filter datasources by tenant UUID Filter datasources by tenant UUID

Responses

200 OK

On success, this API returns the following response structure.

  • itemsList

    Collection of result items

    Example: (nested array)

    • idString

      Unique identifier of the Grafana datasource registration

      Example: ds-001-abc

    • nameString

      Display name of the datasource

      Example: Production Prometheus

    • grafanaUrlString

      URL of the Grafana instance managing this datasource

      Example: http://grafana.example.com

    • orgIdInteger

      Grafana organization ID this datasource belongs to

      Example: 1

    • apiKeyString

      API key for authenticating with the Grafana instance

      Example: glsa_xxxxxxxxxxxx

    • tenantIdString

      UUID of the tenant this datasource belongs to

      Example: tenant-001-xyz

    • createdAtString

      Created at

      Example: 2026-01-15T08:00:00Z

  • totalInteger

    Total number of datasources

    Example: 3

  • limitInteger

    Page size limit

    Example: 20

  • offsetInteger

    Pagination offset

    Example: 20

Endpoint

GET/api/v1/monitoring/grafana/datasources

/api/v1/monitoring/grafana/datasources

Operation ID

ListGrafanaDatasources

Permalink

Request Example

curl -X GET '{host}/api/v1/monitoring/grafana/datasources' -H 'Authorization: Bearer {token}'

Response Example

200
{
  "items": [
    {}
  ],
  "total": 3,
  "limit": 20,
  "offset": 20
}

Change History

This API has no change history records yet.

View all change history